
QGIS Application - Bug report #17882

Pasting attribute table in layout composer crashes QGIS 2.99

2018-01-18 05:22 AM - QGIS User

Status: Closed

Priority: Low

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: WIn 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 25777

Description

User Feedback

Tried to copy + paste attribute table in layout composer (and report composer) and it crashes QGIS (see report below?). Tried with layers

of different geometries (point/line/poly) and different providers (spatialite,shp,postgis,csv), as well as filter/no filter. Did not try it with

previous versions of master yet

Report Details

Crash ID: 50b7d1ef537b477641d1409054128d30a04851a6

Stack Trace

QgsSymbolLayer::estimateMaxBleed :

QgsSymbolLayer::estimateMaxBleed :

QgsSymbolLayer::estimateMaxBleed :

QgsSymbolLayer::estimateMaxBleed :

QgsSymbolLayer::estimateMaxBleed :

QgsSymbolLayer::estimateMaxBleed :

QGraphicsScene::~QGraphicsScene :

QGraphicsScene::drawForeground :

QGraphicsScene::dragMoveEvent :

QGraphicsItem::dragMoveEvent :

QGraphicsEffectSource::draw :

QgsSymbolLayer::estimateMaxBleed :

QGraphicsScene::drawItems :

QGraphicsScene::drawItems :

QGraphicsView::paintEvent :

QgsEncodingFileDialog::cancelAll :

QWidget::event :

QFrame::event :

QGraphicsView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsSymbolLayer::estimateMaxBleed :

QCoreApplication::notifyInternal2 :

QWidgetPrivate::drawWidget :

QWidgetPrivate::paintSiblingsRecursive :

QWidgetPrivate::drawWidget :

QWidgetPrivate::paintSiblingsRecursive :

QWidgetPrivate::drawWidget :

QWidgetPrivate::paintSiblingsRecursive :

QWidgetPrivate::drawWidget :

QWidgetPrivate::paintSiblingsRecursive :

QWidgetPrivate::drawWidget :

QApplication::windowIcon :

QWidget::event :

QMainWindow::event :
QApplicationPrivate::notify_helper :

QApplication::notify :

QgsSymbolLayer::estimateMaxBleed :

QCoreApplication::notifyInternal2 :

QWidgetPrivate::scrollRect :

QWidgetPrivate::invalidateBuffer_resizeHelper :

QWidget::repaint :

QStatusBar::hideOrShow :

QgisApp::saveAsLayerDefinition :

QgisApp::saveAsLayerDefinition :

QgisApp::saveAsLayerDefinition :

QgisApp::saveAsLayerDefinition :

QMetaObject::activate :

QgsEncodingFileDialog::cancelAll :

QgsEncodingFileDialog::cancelAll :

QgsEncodingFileDialog::cancelAll :

QgsEncodingFileDialog::cancelAll :

QgsEncodingFileDialog::cancelAll :

QgsEncodingFileDialog::cancelAll :

QgsEncodingFileDialog::cancelAll :

QMetaObject::activate :

QGraphicsItem::setSelected :

QgisApp::saveAsLayerDefinition :

QgisApp::saveAsLayerDefinition :

QgisApp::saveAsLayerDefinition :

QgisApp::saveAsLayerDefinition :

QgisApp::saveAsLayerDefinition :

QMetaObject::activate :

QAction::activate :

QAction::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsSymbolLayer::estimateMaxBleed :

QCoreApplication::notifyInternal2 :

QShortcutMap::dispatchEvent :

QShortcutMap::tryShortcut :

QWindowSystemInterface::handleShortcutEvent :

QGuiApplicationPrivate::processKeyEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

QgisApp::saveAsLayerDefinition :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 2.99.0-Master

QGIS code revision: commit:4a2da5006b

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.16299
Associated revisions

Revision 7a2ab1cc - 2018-01-22 09:14 PM - Nyall Dawson

[layouts] Fix multiframe items (tables, html) cannot be pasted

Fixes #10456, #17882

History

#1 - 2018-01-22 09:14 PM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|7a2ab1cc7cec419005325c5f21616f7faa106d13.

#2 - 2018-02-21 09:50 PM - Giovanni Manghi

- Resolution set to fixed/implemented
